--------------------------------------------------------------------
-- PLG Variables
--------------------------------------------------------------------

---------------------------
-- core
---------------------------
PLG = {}

---------------------------
-- debug variables
---------------------------
PLG.debug = false
PLG.verbose = false
PLG.debugProfession = "Cooking"
PLG.debugEarned = 16
PLG.debugTotal = 90

---------------------------
-- variables
---------------------------
PLG.lastSID = 0
PLG.maxLevel = 600
PLG.pFaction = UnitFactionGroup("player")
PLG.pLevel = UnitLevel("player")
PLG.Professions = { GetProfessions() }
PLG.selectedRecipe = 1
PLG.timer1 = 0
PLG.timer5 = 0
PLG.tooltip = CreateFrame("GameTooltip","PLG_Tooltip",UIParent,"GameTooltipTemplate")

---------------------------
-- switches
---------------------------
PLG.loaded = false
PLG.newRecipe = false
PLG.waitForServer = false
PLG.UseFrame = nil

---------------------------
-- addons
---------------------------
PLG.carbonite = nil
PLG.tomtom = nil
PLG.DoubleWideTradeSkills = nil
PLG.TradeSkillHD = nil
PLG.TradeSkillDW = nil
PLG.TradeSkillDWQueue = nil

---------------------------
-- events
---------------------------
PLG.events = {
	"CHAT_MSG_SKILL",
	"SKILL_LINES_CHANGED",
	"TRADE_SKILL_UPDATE",
	"TRADE_SKILL_SHOW",
	"TRADE_SKILL_CLOSE",
	"BAG_UPDATE",
}

---------------------------
-- colors
---------------------------
PLG.colors = {
	["BLUE"]   = "|cFF69CCF0",
	["GRAY"]   = "|cff8F8F8F",
	["ORANGE"] = "|cffff7700",
	["GREEN"]  = "|cff00ff00",
	["YELLOW"] = "|cffffff00",
	["WHITE"]  = "|cffffffff",
	["RGB"]    = {
		["WHT"] = { 1, 1, 1 },
		["GRY"] = { .5, .5, .5 },
		["GRN"] = { .3, 1, .3 },
		["GLD"] = { .9, .7, .2 },
		["YEL"] = { 1, 1, 0 },
		["BLU"] = { 0, .4, 1 },
		["LBL"] = { .4, .8, .94 },
		["RED"] = { 1, 0, 0 },
		["PPL"] = { .6, 0, .8 },
		["ORA"] = { 1, .46, 0 },
	},
}

---------------------------
-- textures
---------------------------
PLG.textures = {
	["TSRFBON"]   = "Interface\\AddOns\\PLG\\Images\\BarBorder.tga",
	["TSRFBOFF"]  = "Interface\\PaperDollInfoFrame\\UI-Character-Skills-BarBorder",
	["BORDER"]    = "Interface\\AddOns\\PLG\\Images\\VerticalBar.tga",
	["HELP"]      = "Interface\\BUTTONS\\UI-MicroButton-Help-Up",
	["HELPDEBUG"] = "Interface\\BUTTONS\\UI-MicroStream-Green",
	["PORTRAIT"]  = "Interface\\CHARACTERFRAME\\TempPortrait",
}

---------------------------
-- Professions
---------------------------
PLG.ProfessionNames = {
	[129] = "First Aid",
	[164] = "Blacksmithing",
	[165] = "Leatherworking",
	[171] = "Alchemy",
	--[182] = "Herbalism",
	[185] = "Cooking",
	--[186] = "Mining",
	[197] = "Tailoring",
	[202] = "Engineering",
	[333] = "Enchanting",
	--[356] = "Fishing",
	--[393] = "Skinning",
	[755] = "Jewelcrafting",
	[773] = "Inscription",
	--[794] = "Archaeology",
	-- Runecrafting is nil
}

-- skillup colors
PLG.SkillType = { 
	["easy"]    = "|cff00ff00",
	["medium"]  = "|cfffff000",
	["optimal"] = "|cffff7700",
	["trivial"] = "|cffcfcfcf",
	["header"]  = "",
	["subheader"]  = "",
}

-- racial buffs
PLG.Racial = {-- spellid, added skill points
	[185] = {107073,15}, -- cooking
	[755] = {28875,10},  -- jewelcrafting
	[202] = {20593,15},  -- engineering
	[333] = {28877,10},  -- enchanting (may be removed in warlords)
	[171] = {69045,15},  -- alchemy
}
